nvmf_connect_disc_entry(2)

NAME
nvmf_connect_disc_entry - Connect controller based on the discovery log page entry

SYNOPSIS
nvme_ctrl_t nvmf_connect_disc_entry (nvme_host_t h , struct nvmf_disc_log_entry *e , const struct nvme_fabrics_config *defcfg , bool *discover );

ARGUMENTS

h   Host to which the controller should be connected

e   Discovery log page entry

defcfg
    Default configuration to be used for the new controller

discover
    Set to 'true' if the new controller is a discovery controller

RETURN
Pointer to the new controller